> ## Documentation Index
> Fetch the complete documentation index at: https://support.fortanix.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Given an GCP configuration, fetch a list of available
GCP key rings which can be used to back a group.

> Given an GCP configuration, fetch a list of available
GCP key rings which can be used to back a group.

## OpenAPI

````json POST /sys/v1/groups/hmg/gcp_key_rings
{
  "openapi": "3.0.0",
  "info": {
    "title": "Fortanix DSM REST API",
    "description": "This is a set of REST APIs for accessing the Fortanix Data Security Manager. This includes APIs for managing accounts, and for performing cryptographic and key management operations. \n\n **Note:** \n- All binary input should be base64-encoded. These fields are marked with `format: byte`. \n- For forward compatibility, any API client is expected to ignore any fields in the response not explicitly mentioned in the documentation. We reserve the right to add new fields at any time to provide new functionality without affecting existing API clients.",
    "termsOfService": "https://www.fortanix.com/legal/terms/",
    "contact": {
      "name": "Fortanix Support",
      "url": "https://support.fortanix.com/",
      "email": "support@fortanix.com"
    },
    "license": {
      "name": "Apache 2.0",
      "url": "http://www.apache.org/licenses/LICENSE-2.0.html"
    },
    "version": "0.1.0-20260526"
  },
  "servers": [
    {
      "url": "https://amer.smartkey.io"
    }
  ],
  "paths": {
    "/sys/v1/groups/hmg/gcp_key_rings": {
      "post": {
        "operationId": "GetGcpKeyRings",
        "tags": [
          "Groups"
        ],
        "security": [
          {
            "bearerToken": []
          },
          {
            "apiKeyAuth": []
          }
        ],
        "summary": "Given an GCP configuration, fetch a list of available\nGCP key rings which can be used to back a group.",
        "description": "Given an GCP configuration, fetch a list of available\nGCP key rings which can be used to back a group.",
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/GcpKeyRingConfig"
              }
            }
          }
        },
        "responses": {
          "2XX": {
            "description": "Success result",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "string"
                  }
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "GcpKeyRingConfig": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "service_account_email": {
                "type": "string",
                "description": "Email for the service account to be used."
              },
              "project_id": {
                "type": "string",
                "description": "The project ID is a unique identifier for a project"
              },
              "location": {
                "type": "string",
                "description": "For a given project in GCP KMS, resources can be created in one of many locations.\nThese represent the geographical regions where a resource is stored and can be accessed.\nA key's location impacts the performance of applications using the key.\nhttps://cloud.google.com/kms/docs/locations"
              },
              "key_ring": {
                "type": "string",
                "nullable": true,
                "description": "A key ring organizes keys in a specific GCP location and allows you to manage\naccess control on groups of keys.\nhttps://cloud.google.com/kms/docs/resource-hierarchy#key_rings"
              },
              "private_key": {
                "type": "string",
                "format": "byte",
                "description": "Private component of the service account key pair that can be\nobtained from the GCP cloud console. It is used to authenticate\nthe requests made by DSM to the GCP cloud."
              }
            },
            "required": [
              "service_account_email",
              "project_id",
              "location"
            ]
          }
        ]
      }
    }
  }
}
````

